This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### ; (semicolon)
Examples |
    int a;       // Declaration statement
    a = 30;      // Assignment statement
    println(i);  // Function statement
Description | A statement terminator which separates elements of the program. A statement is a complete instruction to the computer and the semicolon is used to separate instructions (this is similar to the period "." in written English). Semicolons are also used to separate the different elements of a for structure.
Syntax |
    statement;
Parameters |
statement | a single statement to execute
Related | for

Updated on October 26, 2013 08:58:35pm PDT